# Class Const

java.lang.Object
org.apache.bcel.Const

public final class Const extends Object
Constants for the project, mostly defined in the JVM specification.

Since:
  6.0 (intended to replace the Constants interface)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `AALOAD`
  Java VM opcode 50.
  `static final short`
  `AASTORE`
  Java VM opcode 83.
  `static final short`
  `ACC_ABSTRACT`
  One of the access flags for methods or classes: 1024.
  `static final short`
  `ACC_ANNOTATION`
  One of the access flags for classes: 8192.
  `static final short`
  `ACC_BRIDGE`
  One of the access flags for methods: 64.
  `static final short`
  `ACC_ENUM`
  One of the access flags for fields or classes: 16384.
  `static final short`
  `ACC_FINAL`
  One of the access flags for fields, methods, or classes: 16.
  `static final short`
  `ACC_INTERFACE`
  One of the access flags for classes: 512.
  `static final short`
  `ACC_MANDATED`
  One of the access flags for MethodParameter or Module attributes: -32768.
  `static final short`
  `ACC_MODULE`
  One of the access flags for classes: -32768.
  `static final short`
  `ACC_NATIVE`
  One of the access flags for methods: 256.
  `static final short`
  `ACC_OPEN`
  One of the access flags for the Module attribute: 32.
  `static final short`
  `ACC_PRIVATE`
  One of the access flags for fields, methods, or classes: 2.
  `static final short`
  `ACC_PROTECTED`
  One of the access flags for fields, methods, or classes: 4.
  `static final short`
  `ACC_PUBLIC`
  One of the access flags for fields, methods, or classes: 1.
  `static final short`
  `ACC_STATIC`
  One of the access flags for fields, methods, or classes: 8.
  `static final short`
  `ACC_STATIC_PHASE`
  One of the access flags for the Module attribute: 64.
  `static final short`
  `ACC_STRICT`
  One of the access flags for methods: 2048.
  `static final short`
  `ACC_SUPER`
  One of the access flags for classes: 32.
  `static final short`
  `ACC_SYNCHRONIZED`
  One of the access flags for methods: 32.
  `static final short`
  `ACC_SYNTHETIC`
  One of the access flags for fields, methods, classes, MethodParameter attribute, or Module attribute: 4096.
  `static final short`
  `ACC_TRANSIENT`
  One of the access flags for fields: 128.
  `static final short`
  `ACC_TRANSITIVE`
  One of the access flags for the Module attribute: 32.
  `static final short`
  `ACC_VARARGS`
  One of the access flags for methods: 128.
  `static final short`
  `ACC_VOLATILE`
  One of the access flags for fields: 64.
  `static final int`
  `ACCESS_NAMES_LENGTH`
  `static final short`
  `ACONST_NULL`
  Java VM opcode 1.
  `static final short`
  `ALOAD`
  Java VM opcode 25.
  `static final short`
  `ALOAD_0`
  Java VM opcode 42.
  `static final short`
  `ALOAD_1`
  Java VM opcode 43.
  `static final short`
  `ALOAD_2`
  Java VM opcode 44.
  `static final short`
  `ALOAD_3`
  Java VM opcode 45.
  `static final short`
  `ANEWARRAY`
  Java VM opcode 189.
  `static final short`
  `ANEWARRAY_QUICK`
  JVM internal opcode 222.
  `static final int`
  `APPEND_FRAME`
  `static final int`
  `APPEND_FRAME_MAX`
  `static final short`
  `ARETURN`
  Java VM opcode 176.
  `static final short`
  `ARRAYLENGTH`
  Java VM opcode 190.
  `static final short`
  `ASTORE`
  Java VM opcode 58.
  `static final short`
  `ASTORE_0`
  Java VM opcode 75.
  `static final short`
  `ASTORE_1`
  Java VM opcode 76.
  `static final short`
  `ASTORE_2`
  Java VM opcode 77.
  `static final short`
  `ASTORE_3`
  Java VM opcode 78.
  `static final short`
  `ATHROW`
  Java VM opcode 191.
  `static final byte`
  `ATTR_ANNOTATION_DEFAULT`
  `static final byte`
  `ATTR_BOOTSTRAP_METHODS`
  `static final byte`
  `ATTR_CODE`
  `static final byte`
  `ATTR_CONSTANT_VALUE`
  `static final byte`
  `ATTR_DEPRECATED`
  `static final byte`
  `ATTR_ENCLOSING_METHOD`
  `static final byte`
  `ATTR_EXCEPTIONS`
  `static final byte`
  `ATTR_INNER_CLASSES`
  `static final byte`
  `ATTR_LINE_NUMBER_TABLE`
  `static final byte`
  `ATTR_LOCAL_VARIABLE_TABLE`
  `static final byte`
  `ATTR_LOCAL_VARIABLE_TYPE_TABLE`
  `static final byte`
  `ATTR_METHOD_PARAMETERS`
  `static final byte`
  `ATTR_MODULE`
  `static final byte`
  `ATTR_MODULE_MAIN_CLASS`
  `static final byte`
  `ATTR_MODULE_PACKAGES`
  `static final byte`
  `ATTR_NEST_HOST`
  `static final byte`
  `ATTR_NEST_MEMBERS`
  `static final byte`
  `ATTR_PMG`
  `static final byte`
  `ATTR_RECORD`
  `static final byte`
  `ATTR_RUNTIME_INVISIBLE_ANNOTATIONS`
  `static final byte`
  `ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
  `static final byte`
  `ATTR_RUNTIME_VISIBLE_ANNOTATIONS`
  `static final byte`
  `ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
  `static final byte`
  `ATTR_SIGNATURE`
  `static final byte`
  `ATTR_SOURCE_FILE`
  `static final byte`
  `ATTR_STACK_MAP`
  `static final byte`
  `ATTR_STACK_MAP_TABLE`
  `static final byte`
  `ATTR_SYNTHETIC`
  `static final byte`
  `ATTR_UNKNOWN`
  Attributes and their corresponding names.
  `static final short`
  `BALOAD`
  Java VM opcode 51.
  `static final short`
  `BASTORE`
  Java VM opcode 84.
  `static final short`
  `BIPUSH`
  Java VM opcode 16.
  `static final short`
  `BREAKPOINT`
  JVM internal opcode 202.
  `static final short`
  `CALOAD`
  Java VM opcode 52.
  `static final short`
  `CASTORE`
  Java VM opcode 85.
  `static final short`
  `CHECKCAST`
  Java VM opcode 192.
  `static final short`
  `CHECKCAST_QUICK`
  JVM internal opcode 224.
  `static final int`
  `CHOP_FRAME`
  `static final int`
  `CHOP_FRAME_MAX`
  `static final byte`
  `CONSTANT_Class`
  Marks a constant pool entry as a Class: 0x7.
  `static final byte`
  `CONSTANT_Double`
  Marks a constant pool entry as type Double: 0x6.
  `static final byte`
  `CONSTANT_Dynamic`
  Marks a constant pool entry as dynamically computed: 0x11.
  `static final byte`
  `CONSTANT_Fieldref`
  Marks a constant pool entry as a Field Reference: 0x9.
  `static final byte`
  `CONSTANT_Float`
  Marks a constant pool entry as type Float: 0x4.
  `static final byte`
  `CONSTANT_Integer`
  Marks a constant pool entry as type Integer: 0x3.
  `static final byte`
  `CONSTANT_InterfaceMethodref`
  Marks a constant pool entry as an Interface Method Reference: 0xb.
  `static final byte`
  `CONSTANT_InvokeDynamic`
  Marks a constant pool entry as an Invoke Dynamic: 0x12.
  `static final byte`
  `CONSTANT_Long`
  Marks a constant pool entry as type Long: 0x5.
  `static final byte`
  `CONSTANT_MethodHandle`
  Marks a constant pool entry as a Method Handle: 0xf.
  `static final byte`
  `CONSTANT_Methodref`
  Marks a constant pool entry as a Method Reference: 0xa.
  `static final byte`
  `CONSTANT_MethodType`
  Marks a constant pool entry as a Method Type: 0x10.
  `static final byte`
  `CONSTANT_Module`
  Marks a constant pool entry as a Module Reference: 0x13.
  `static final byte`
  `CONSTANT_NameAndType`
  Marks a constant pool entry as a name and type: 0xc.
  `static final byte`
  `CONSTANT_Package`
  Marks a constant pool entry as a Package Reference: 0x14.
  `static final byte`
  `CONSTANT_String`
  Marks a constant pool entry as type String: 0x8.
  `static final byte`
  `CONSTANT_Utf8`
  Marks a constant pool entry as type UTF-8: 0x1.
  `static final String`
  `CONSTRUCTOR_NAME`
  The name of every constructor method in a class, also called "instance initialization method".
  `static final short`
  `D2F`
  Java VM opcode 144.
  `static final short`
  `D2I`
  Java VM opcode 142.
  `static final short`
  `D2L`
  Java VM opcode 143.
  `static final short`
  `DADD`
  Java VM opcode 99.
  `static final short`
  `DALOAD`
  Java VM opcode 49.
  `static final short`
  `DASTORE`
  Java VM opcode 82.
  `static final short`
  `DCMPG`
  Java VM opcode 152.
  `static final short`
  `DCMPL`
  Java VM opcode 151.
  `static final short`
  `DCONST_0`
  Java VM opcode 14.
  `static final short`
  `DCONST_1`
  Java VM opcode 15.
  `static final short`
  `DDIV`
  Java VM opcode 111.
  `static final short`
  `DLOAD`
  Java VM opcode 24.
  `static final short`
  `DLOAD_0`
  Java VM opcode 38.
  `static final short`
  `DLOAD_1`
  Java VM opcode 39.
  `static final short`
  `DLOAD_2`
  Java VM opcode 40.
  `static final short`
  `DLOAD_3`
  Java VM opcode 41.
  `static final short`
  `DMUL`
  Java VM opcode 107.
  `static final short`
  `DNEG`
  Java VM opcode 119.
  `static final short`
  `DREM`
  Java VM opcode 115.
  `static final short`
  `DRETURN`
  Java VM opcode 175.
  `static final short`
  `DSTORE`
  Java VM opcode 57.
  `static final short`
  `DSTORE_0`
  Java VM opcode 71.
  `static final short`
  `DSTORE_1`
  Java VM opcode 72.
  `static final short`
  `DSTORE_2`
  Java VM opcode 73.
  `static final short`
  `DSTORE_3`
  Java VM opcode 74.
  `static final short`
  `DSUB`
  Java VM opcode 103.
  `static final short`
  `DUP`
  Java VM opcode 89.
  `static final short`
  `DUP_X1`
  Java VM opcode 90.
  `static final short`
  `DUP_X2`
  Java VM opcode 91.
  `static final short`
  `DUP2`
  Java VM opcode 92.
  `static final short`
  `DUP2_X1`
  Java VM opcode 93.
  `static final short`
  `DUP2_X2`
  Java VM opcode 94.
  `static final short`
  `F2D`
  Java VM opcode 141.
  `static final short`
  `F2I`
  Java VM opcode 139.
  `static final short`
  `F2L`
  Java VM opcode 140.
  `static final short`
  `FADD`
  Java VM opcode 98.
  `static final short`
  `FALOAD`
  Java VM opcode 48.
  `static final short`
  `FASTORE`
  Java VM opcode 81.
  `static final short`
  `FCMPG`
  Java VM opcode 150.
  `static final short`
  `FCMPL`
  Java VM opcode 149.
  `static final short`
  `FCONST_0`
  Java VM opcode 11.
  `static final short`
  `FCONST_1`
  Java VM opcode 12.
  `static final short`
  `FCONST_2`
  Java VM opcode 13.
  `static final short`
  `FDIV`
  Java VM opcode 110.
  `static final short`
  `FLOAD`
  Java VM opcode 23.
  `static final short`
  `FLOAD_0`
  Java VM opcode 34.
  `static final short`
  `FLOAD_1`
  Java VM opcode 35.
  `static final short`
  `FLOAD_2`
  Java VM opcode 36.
  `static final short`
  `FLOAD_3`
  Java VM opcode 37.
  `static final short`
  `FMUL`
  Java VM opcode 106.
  `static final short`
  `FNEG`
  Java VM opcode 118.
  `static final short`
  `FREM`
  Java VM opcode 114.
  `static final short`
  `FRETURN`
  Java VM opcode 174.
  `static final short`
  `FSTORE`
  Java VM opcode 56.
  `static final short`
  `FSTORE_0`
  Java VM opcode 67.
  `static final short`
  `FSTORE_1`
  Java VM opcode 68.
  `static final short`
  `FSTORE_2`
  Java VM opcode 69.
  `static final short`
  `FSTORE_3`
  Java VM opcode 70.
  `static final short`
  `FSUB`
  Java VM opcode 102.
  `static final int`
  `FULL_FRAME`
  `static final short`
  `GETFIELD`
  Java VM opcode 180.
  `static final short`
  `GETFIELD_QUICK`
  JVM internal opcode 206.
  `static final short`
  `GETFIELD_QUICK_W`
  JVM internal opcode 227.
  `static final short`
  `GETFIELD2_QUICK`
  JVM internal opcode 208.
  `static final short`
  `GETSTATIC`
  Java VM opcode 178.
  `static final short`
  `GETSTATIC_QUICK`
  JVM internal opcode 210.
  `static final short`
  `GETSTATIC2_QUICK`
  JVM internal opcode 212.
  `static final short`
  `GOTO`
  Java VM opcode 167.
  `static final short`
  `GOTO_W`
  Java VM opcode 200.
  `static final short`
  `I2B`
  Java VM opcode 145.
  `static final short`
  `I2C`
  Java VM opcode 146.
  `static final short`
  `I2D`
  Java VM opcode 135.
  `static final short`
  `I2F`
  Java VM opcode 134.
  `static final short`
  `I2L`
  Java VM opcode 133.
  `static final short`
  `I2S`
  Java VM opcode 147.
  `static final short`
  `IADD`
  Java VM opcode 96.
  `static final short`
  `IALOAD`
  Java VM opcode 46.
  `static final short`
  `IAND`
  Java VM opcode 126.
  `static final short`
  `IASTORE`
  Java VM opcode 79.
  `static final short`
  `ICONST_0`
  Java VM opcode 3.
  `static final short`
  `ICONST_1`
  Java VM opcode 4.
  `static final short`
  `ICONST_2`
  Java VM opcode 5.
  `static final short`
  `ICONST_3`
  Java VM opcode 6.
  `static final short`
  `ICONST_4`
  Java VM opcode 7.
  `static final short`
  `ICONST_5`
  Java VM opcode 8.
  `static final short`
  `ICONST_M1`
  Java VM opcode 2.
  `static final short`
  `IDIV`
  Java VM opcode 108.
  `static final short`
  `IF_ACMPEQ`
  Java VM opcode 165.
  `static final short`
  `IF_ACMPNE`
  Java VM opcode 166.
  `static final short`
  `IF_ICMPEQ`
  Java VM opcode 159.
  `static final short`
  `IF_ICMPGE`
  Java VM opcode 162.
  `static final short`
  `IF_ICMPGT`
  Java VM opcode 163.
  `static final short`
  `IF_ICMPLE`
  Java VM opcode 164.
  `static final short`
  `IF_ICMPLT`
  Java VM opcode 161.
  `static final short`
  `IF_ICMPNE`
  Java VM opcode 160.
  `static final short`
  `IFEQ`
  Java VM opcode 153.
  `static final short`
  `IFGE`
  Java VM opcode 156.
  `static final short`
  `IFGT`
  Java VM opcode 157.
  `static final short`
  `IFLE`
  Java VM opcode 158.
  `static final short`
  `IFLT`
  Java VM opcode 155.
  `static final short`
  `IFNE`
  Java VM opcode 154.
  `static final short`
  `IFNONNULL`
  Java VM opcode 199.
  `static final short`
  `IFNULL`
  Java VM opcode 198.
  `static final short`
  `IINC`
  Java VM opcode 132.
  `static final String`
  `ILLEGAL_OPCODE`
  Mnemonic for an illegal opcode: "<illegal opcode>".
  `static final String`
  `ILLEGAL_TYPE`
  Mnemonic for an illegal type: "<illegal type>".
  `static final short`
  `ILOAD`
  Java VM opcode 21.
  `static final short`
  `ILOAD_0`
  Java VM opcode 26.
  `static final short`
  `ILOAD_1`
  Java VM opcode 27.
  `static final short`
  `ILOAD_2`
  Java VM opcode 28.
  `static final short`
  `ILOAD_3`
  Java VM opcode 29.
  `static final short`
  `IMPDEP1`
  JVM internal opcode 254.
  `static final short`
  `IMPDEP2`
  JVM internal opcode 255.
  `static final short`
  `IMUL`
  Java VM opcode 104.
  `static final short`
  `INEG`
  Java VM opcode 116.
  `static final short`
  `INSTANCEOF`
  Java VM opcode 193.
  `static final short`
  `INSTANCEOF_QUICK`
  JVM internal opcode 225.
  `static final short`
  `INT2BYTE`
  Java VM opcode 145.
  `static final short`
  `INT2CHAR`
  Java VM opcode 146.
  `static final short`
  `INT2SHORT`
  Java VM opcode 147.
  `static final short`
  `INVOKEDYNAMIC`
  Java VM opcode 186.
  `static final short`
  `INVOKEINTERFACE`
  Java VM opcode 185.
  `static final short`
  `INVOKEINTERFACE_QUICK`
  JVM internal opcode 218.
  `static final short`
  `INVOKENONVIRTUAL`
  Java VM opcode 183.
  `static final short`
  `INVOKENONVIRTUAL_QUICK`
  JVM internal opcode 215.
  `static final short`
  `INVOKESPECIAL`
  Java VM opcode 183.
  `static final short`
  `INVOKESTATIC`
  Java VM opcode 184.
  `static final short`
  `INVOKESTATIC_QUICK`
  JVM internal opcode 217.
  `static final short`
  `INVOKESUPER_QUICK`
  JVM internal opcode 216.
  `static final short`
  `INVOKEVIRTUAL`
  Java VM opcode 182.
  `static final short`
  `INVOKEVIRTUAL_QUICK`
  JVM internal opcode 214.
  `static final short`
  `INVOKEVIRTUAL_QUICK_W`
  JVM internal opcode 226.
  `static final short`
  `INVOKEVIRTUALOBJECT_QUICK`
  JVM internal opcode 219.
  `static final short`
  `IOR`
  Java VM opcode 128.
  `static final short`
  `IREM`
  Java VM opcode 112.
  `static final short`
  `IRETURN`
  Java VM opcode 172.
  `static final short`
  `ISHL`
  Java VM opcode 120.
  `static final short`
  `ISHR`
  Java VM opcode 122.
  `static final short`
  `ISTORE`
  Java VM opcode 54.
  `static final short`
  `ISTORE_0`
  Java VM opcode 59.
  `static final short`
  `ISTORE_1`
  Java VM opcode 60.
  `static final short`
  `ISTORE_2`
  Java VM opcode 61.
  `static final short`
  `ISTORE_3`
  Java VM opcode 62.
  `static final short`
  `ISUB`
  Java VM opcode 100.
  `static final byte`
  `ITEM_Bogus`
  Constants used in the StackMap attribute.
  `static final byte`
  `ITEM_Double`
  `static final byte`
  `ITEM_Float`
  `static final byte`
  `ITEM_InitObject`
  `static final byte`
  `ITEM_Integer`
  `static final byte`
  `ITEM_Long`
  `static final byte`
  `ITEM_NewObject`
  `static final byte`
  `ITEM_Null`
  `static final byte`
  `ITEM_Object`
  `static final short`
  `IUSHR`
  Java VM opcode 124.
  `static final short`
  `IXOR`
  Java VM opcode 130.
  `static final short`
  `JSR`
  Java VM opcode 168.
  `static final short`
  `JSR_W`
  Java VM opcode 201.
  `static final int`
  `JVM_CLASSFILE_MAGIC`
  Java class file format Magic number: -889275714.
  `static final short`
  `KNOWN_ATTRIBUTES`
  `static final short`
  `L2D`
  Java VM opcode 138.
  `static final short`
  `L2F`
  Java VM opcode 137.
  `static final short`
  `L2I`
  Java VM opcode 136.
  `static final short`
  `LADD`
  Java VM opcode 97.
  `static final short`
  `LALOAD`
  Java VM opcode 47.
  `static final short`
  `LAND`
  Java VM opcode 127.
  `static final short`
  `LASTORE`
  Java VM opcode 80.
  `static final short`
  `LCMP`
  Java VM opcode 148.
  `static final short`
  `LCONST_0`
  Java VM opcode 9.
  `static final short`
  `LCONST_1`
  Java VM opcode 10.
  `static final short`
  `LDC`
  Java VM opcode 18.
  `static final short`
  `LDC_QUICK`
  JVM internal opcode 203.
  `static final short`
  `LDC_W`
  Java VM opcode 19.
  `static final short`
  `LDC_W_QUICK`
  JVM internal opcode 204.
  `static final short`
  `LDC2_W`
  Java VM opcode 20.
  `static final short`
  `LDC2_W_QUICK`
  JVM internal opcode 205.
  `static final short`
  `LDIV`
  Java VM opcode 109.
  `static final short`
  `LLOAD`
  Java VM opcode 22.
  `static final short`
  `LLOAD_0`
  Java VM opcode 30.
  `static final short`
  `LLOAD_1`
  Java VM opcode 31.
  `static final short`
  `LLOAD_2`
  Java VM opcode 32.
  `static final short`
  `LLOAD_3`
  Java VM opcode 33.
  `static final short`
  `LMUL`
  Java VM opcode 105.
  `static final short`
  `LNEG`
  Java VM opcode 117.
  `static final short`
  `LOOKUPSWITCH`
  Java VM opcode 171.
  `static final short`
  `LOR`
  Java VM opcode 129.
  `static final short`
  `LREM`
  Java VM opcode 113.
  `static final short`
  `LRETURN`
  Java VM opcode 173.
  `static final short`
  `LSHL`
  Java VM opcode 121.
  `static final short`
  `LSHR`
  Java VM opcode 123.
  `static final short`
  `LSTORE`
  Java VM opcode 55.
  `static final short`
  `LSTORE_0`
  Java VM opcode 63.
  `static final short`
  `LSTORE_1`
  Java VM opcode 64.
  `static final short`
  `LSTORE_2`
  Java VM opcode 65.
  `static final short`
  `LSTORE_3`
  Java VM opcode 66.
  `static final short`
  `LSUB`
  Java VM opcode 101.
  `static final short`
  `LUSHR`
  Java VM opcode 125.
  `static final short`
  `LXOR`
  Java VM opcode 131.
  `static final short`
  `MAJOR`
  Default major version number.
  `static final short`
  `MAJOR_1_1`
  Major version number of class files for Java 1.1: 45.
  `static final short`
  `MAJOR_1_2`
  Major version number of class files for Java 1.2: 46.
  `static final short`
  `MAJOR_1_3`
  Major version number of class files for Java 1.2: 47.
  `static final short`
  `MAJOR_1_4`
  Major version number of class files for Java 1.3: 48.
  `static final short`
  `MAJOR_1_5`
  Major version number of class files for Java 1.4: 49.
  `static final short`
  `MAJOR_1_6`
  Major version number of class files for Java 1.6: 50.
  `static final short`
  `MAJOR_1_7`
  Major version number of class files for Java 1.7: 51.
  `static final short`
  `MAJOR_1_8`
  Major version number of class files for Java 1.8: 52.
  `static final short`
  `MAJOR_1_9`
  Deprecated.
  Use `MAJOR_9` (53) instead.
  `static final short`
  `MAJOR_10`
  Major version number of class files for Java 10: 54.
  `static final short`
  `MAJOR_11`
  Major version number of class files for Java 11: 55.
  `static final short`
  `MAJOR_12`
  Major version number of class files for Java 12: 56.
  `static final short`
  `MAJOR_13`
  Major version number of class files for Java 13: 57.
  `static final short`
  `MAJOR_14`
  Major version number of class files for Java 14: 58.
  `static final short`
  `MAJOR_15`
  Major version number of class files for Java 15: 59.
  `static final short`
  `MAJOR_16`
  Major version number of class files for Java 16: 60.
  `static final short`
  `MAJOR_17`
  Major version number of class files for Java 17: 61.
  `static final short`
  `MAJOR_18`
  Major version number of class files for Java 18: 62.
  `static final short`
  `MAJOR_19`
  Major version number of class files for Java 19: 63.
  `static final short`
  `MAJOR_20`
  Major version number of class files for Java 20: 64.
  `static final short`
  `MAJOR_21`
  Major version number of class files for Java 21: 65.
  `static final short`
  `MAJOR_22`
  Major version number of class files for Java 22: 66.
  `static final short`
  `MAJOR_23`
  Major version number of class files for Java 23: 67.
  `static final short`
  `MAJOR_24`
  Major version number of class files for Java 24: 68.
  `static final short`
  `MAJOR_25`
  Major version number of class files for Java 25: 69.
  `static final short`
  `MAJOR_9`
  Major version number of class files for Java 9: 53.
  `static final short`
  `MAX_ACC_FLAG`
  Deprecated.
  Use `MAX_ACC_FLAG_I`
  `static final int`
  `MAX_ACC_FLAG_I`
  One of the access flags for fields, methods, or classes.
  `static final int`
  `MAX_ARRAY_DIMENSIONS`
  The maximum number of dimensions in an array: 255.
  `static final int`
  `MAX_BYTE`
  Maximum value for an unsigned byte: 255.
  `static final int`
  `MAX_CODE_SIZE`
  Maximum code size (plus one; the code size must be LESS than this): 65536.
  `static final int`
  `MAX_CP_ENTRIES`
  Maximum Constant Pool entries: 65535.
  `static final int`
  `MAX_SHORT`
  Maximum value for an unsigned short: 65535.
  `static final short`
  `MINOR`
  Default major version number.
  `static final short`
  `MINOR_1_1`
  Minor version number of class files for Java 1.1: 3.
  `static final short`
  `MINOR_1_2`
  Minor version number of class files for Java 1.2: 0.
  `static final short`
  `MINOR_1_3`
  Minor version number of class files for Java 1.3: 0.
  `static final short`
  `MINOR_1_4`
  Minor version number of class files for Java 1.4: 0.
  `static final short`
  `MINOR_1_5`
  Minor version number of class files for Java 1.5: 0.
  `static final short`
  `MINOR_1_6`
  Minor version number of class files for Java 1.6: 0.
  `static final short`
  `MINOR_1_7`
  Minor version number of class files for Java 1.7: 0.
  `static final short`
  `MINOR_1_8`
  Minor version number of class files for Java 1.8: 0.
  `static final short`
  `MINOR_1_9`
  Deprecated.
  Use `MINOR_9` (0) instead.
  `static final short`
  `MINOR_10`
  Minor version number of class files for Java 10: 0.
  `static final short`
  `MINOR_11`
  Minor version number of class files for Java 11: 0.
  `static final short`
  `MINOR_12`
  Minor version number of class files for Java 12: 0.
  `static final short`
  `MINOR_13`
  Minor version number of class files for Java 13: 0.
  `static final short`
  `MINOR_14`
  Minor version number of class files for Java 14: 0.
  `static final short`
  `MINOR_15`
  Minor version number of class files for Java 15: 0.
  `static final short`
  `MINOR_16`
  Minor version number of class files for Java 16: 0.
  `static final short`
  `MINOR_17`
  Minor version number of class files for Java 17: 0.
  `static final short`
  `MINOR_18`
  Minor version number of class files for Java 18: 0.
  `static final short`
  `MINOR_19`
  Minor version number of class files for Java 19: 0.
  `static final short`
  `MINOR_20`
  Minor version number of class files for Java 20: 0.
  `static final short`
  `MINOR_21`
  Minor version number of class files for Java 21: 0.
  `static final short`
  `MINOR_22`
  Minor version number of class files for Java 22: 0.
  `static final short`
  `MINOR_23`
  Minor version number of class files for Java 23: 0.
  `static final short`
  `MINOR_24`
  Minor version number of class files for Java 24: 0.
  `static final short`
  `MINOR_25`
  Minor version number of class files for Java 25: 0.
  `static final short`
  `MINOR_9`
  Minor version number of class files for Java 9: 0.
  `static final short`
  `MONITORENTER`
  Java VM opcode 194.
  `static final short`
  `MONITOREXIT`
  Java VM opcode 195.
  `static final short`
  `MULTIANEWARRAY`
  Java VM opcode 197.
  `static final short`
  `MULTIANEWARRAY_QUICK`
  JVM internal opcode 223.
  `static final short`
  `NEW`
  Java VM opcode 187.
  `static final short`
  `NEW_QUICK`
  JVM internal opcode 221.
  `static final short`
  `NEWARRAY`
  Java VM opcode 188.
  `static final short`
  `NOP`
  Java VM opcode 0.
  `static final int`
  `OPCODE_NAMES_LENGTH`
  `static final short`
  `POP`
  Java VM opcode 87.
  `static final short`
  `POP2`
  Java VM opcode 88.
  `static final short`
  `PUSH`
  BCEL virtual instruction for pushing an arbitrary data type onto the stack: 4711.
  `static final short`
  `PUTFIELD`
  Java VM opcode 181.
  `static final short`
  `PUTFIELD_QUICK`
  JVM internal opcode 207.
  `static final short`
  `PUTFIELD_QUICK_W`
  JVM internal opcode 228.
  `static final short`
  `PUTFIELD2_QUICK`
  JVM internal opcode 209.
  `static final short`
  `PUTSTATIC`
  Java VM opcode 179.
  `static final short`
  `PUTSTATIC_QUICK`
  JVM internal opcode 211.
  `static final short`
  `PUTSTATIC2_QUICK`
  JVM internal opcode 213.
  `static final byte`
  `REF_getField`
  `static final byte`
  `REF_getStatic`
  `static final byte`
  `REF_invokeInterface`
  `static final byte`
  `REF_invokeSpecial`
  `static final byte`
  `REF_invokeStatic`
  `static final byte`
  `REF_invokeVirtual`
  `static final byte`
  `REF_newInvokeSpecial`
  `static final byte`
  `REF_putField`
  `static final byte`
  `REF_putStatic`
  `static final short`
  `RESERVED`
  Illegal opcode: -3.
  `static final short`
  `RET`
  Java VM opcode 169.
  `static final short`
  `RETURN`
  Java VM opcode 177.
  `static final short`
  `SALOAD`
  Java VM opcode 53.
  `static final int`
  `SAME_FRAME`
  Constants used to identify StackMapEntry types.
  `static final int`
  `SAME_FRAME_EXTENDED`
  `static final int`
  `SAME_FRAME_MAX`
  Constants that define the maximum value of those constants which store ranges.
  `static final int`
  `SAME_LOCALS_1_STACK_ITEM_FRAME`
  `static final int`
  `SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED`
  `static final int`
  `SAME_LOCALS_1_STACK_ITEM_FRAME_MAX`
  `static final short`
  `SASTORE`
  Java VM opcode 86.
  `static final String[]`
  `SHORT_TYPE_NAMES`
  The signature characters corresponding to primitive types, for example, SHORT_TYPE_NAMES[T_INT] = "I"
  `static final short`
  `SIPUSH`
  Java VM opcode 17.
  `static final String`
  `STATIC_INITIALIZER_NAME`
  The name of the static initializer, also called "class initialization method" or "interface initialization method".
  `static final short`
  `SWAP`
  Java VM opcode 95.
  `static final short`
  `SWITCH`
  BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH: 4712.
  `static final byte`
  `T_ADDRESS`
  Address data type.
  `static final byte`
  `T_ARRAY`
  Array data type.
  `static final byte`
  `T_BOOLEAN`
  Boolean data type: 0x4.
  `static final byte`
  `T_BYTE`
  Byte data type: 0x8.
  `static final byte`
  `T_CHAR`
  Char data type: 0x5.
  `static final byte`
  `T_DOUBLE`
  Double data type: 0x7.
  `static final byte`
  `T_FLOAT`
  Float data type: 0x6.
  `static final byte`
  `T_INT`
  Int data type: 0xa.
  `static final byte`
  `T_LONG`
  Long data type: 0xb.
  `static final byte`
  `T_OBJECT`
  Object data type.
  `static final byte`
  `T_REFERENCE`
  Reference data type (deprecated).
  `static final byte`
  `T_SHORT`
  Short data type: 0x9.
  `static final byte`
  `T_UNKNOWN`
  Unknown data type.
  `static final byte`
  `T_VOID`
  Void data type (non-standard).
  `static final short`
  `TABLESWITCH`
  Java VM opcode 170.
  `static final short`
  `UNDEFINED`
  Illegal opcode: -1.
  `static final short`
  `UNPREDICTABLE`
  Illegal opcode: -2.
  `static final short`
  `WIDE`
  Java VM opcode 196.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAccessName(int index)`
  `static String`
  `getAttributeName(int index)`
  `static String`
  `getClassTypeName(int index)`
  The primitive class names corresponding to the T_XX constants, for example, CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
  `static String`
  `getConstantName(int index)`
  `static int`
  `getConsumeStack(int index)`
  `static Iterable<String>`
  `getInterfacesImplementedByArrays()`
  `static String`
  `getItemName(int index)`
  `static String`
  `getMethodHandleName(int index)`
  `static short`
  `getNoOfOperands(int index)`
  `static String`
  `getOpcodeName(int index)`
  `static short`
  `getOperandType(int opcode, int index)`
  `static long`
  `getOperandTypeCount(int opcode)`
  `static int`
  `getProduceStack(int index)`
  `static String`
  `getShortTypeName(int index)`
  `static String`
  `getTypeName(int index)`
  The primitive type names corresponding to the T_XX constants, for example, TYPE_NAMES[T_INT] = "int"

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JVM_CLASSFILE_MAGIC

    public static final int JVM_CLASSFILE_MAGIC
    Java class file format Magic number: -889275714.
    See Also:
      - The ClassFile Structure in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MAJOR_1_1

    public static final short MAJOR_1_1
    Major version number of class files for Java 1.1: 45.
    See Also:
      - `MINOR_1_1`
      - Constant Field Values

  - ### MINOR_1_1

    public static final short MINOR_1_1
    Minor version number of class files for Java 1.1: 3.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MAJOR_1_2

    public static final short MAJOR_1_2
    Major version number of class files for Java 1.2: 46.
    See Also:
      - `MINOR_1_2`
      - Constant Field Values

  - ### MINOR_1_2

    public static final short MINOR_1_2
    Minor version number of class files for Java 1.2: 0.
    See Also:
      - `MAJOR_1_2`
      - Constant Field Values

  - ### MAJOR_1_3

    public static final short MAJOR_1_3
    Major version number of class files for Java 1.2: 47.
    See Also:
      - `MINOR_1_2`
      - Constant Field Values

  - ### MINOR_1_3

    public static final short MINOR_1_3
    Minor version number of class files for Java 1.3: 0.
    See Also:
      - `MAJOR_1_3`
      - Constant Field Values

  - ### MAJOR_1_4

    public static final short MAJOR_1_4
    Major version number of class files for Java 1.3: 48.
    See Also:
      - `MINOR_1_3`
      - Constant Field Values

  - ### MINOR_1_4

    public static final short MINOR_1_4
    Minor version number of class files for Java 1.4: 0.
    See Also:
      - `MAJOR_1_4`
      - Constant Field Values

  - ### MAJOR_1_5

    public static final short MAJOR_1_5
    Major version number of class files for Java 1.4: 49.
    See Also:
      - `MINOR_1_4`
      - Constant Field Values

  - ### MINOR_1_5

    public static final short MINOR_1_5
    Minor version number of class files for Java 1.5: 0.
    See Also:
      - `MAJOR_1_5`
      - Constant Field Values

  - ### MAJOR_1_6

    public static final short MAJOR_1_6
    Major version number of class files for Java 1.6: 50.
    See Also:
      - `MINOR_1_6`
      - Constant Field Values

  - ### MINOR_1_6

    public static final short MINOR_1_6
    Minor version number of class files for Java 1.6: 0.
    See Also:
      - `MAJOR_1_6`
      - Constant Field Values

  - ### MAJOR_1_7

    public static final short MAJOR_1_7
    Major version number of class files for Java 1.7: 51.
    See Also:
      - `MINOR_1_7`
      - Constant Field Values

  - ### MINOR_1_7

    public static final short MINOR_1_7
    Minor version number of class files for Java 1.7: 0.
    See Also:
      - `MAJOR_1_7`
      - Constant Field Values

  - ### MAJOR_1_8

    public static final short MAJOR_1_8
    Major version number of class files for Java 1.8: 52.
    See Also:
      - `MINOR_1_8`
      - Constant Field Values

  - ### MINOR_1_8

    public static final short MINOR_1_8
    Minor version number of class files for Java 1.8: 0.
    See Also:
      - `MAJOR_1_8`
      - Constant Field Values

  - ### MAJOR_9

    public static final short MAJOR_9
    Major version number of class files for Java 9: 53.
    See Also:
      - `MINOR_9`
      - Constant Field Values

  - ### MINOR_9

    public static final short MINOR_9
    Minor version number of class files for Java 9: 0.
    See Also:
      - `MAJOR_9`
      - Constant Field Values

  - ### MAJOR_1_9

    @Deprecated public static final short MAJOR_1_9
    Deprecated.
    Use `MAJOR_9` (53) instead.
    See Also:
      - Constant Field Values

  - ### MINOR_1_9

    @Deprecated public static final short MINOR_1_9
    Deprecated.
    Use `MINOR_9` (0) instead.
    See Also:
      - Constant Field Values

  - ### MAJOR_10

    public static final short MAJOR_10
    Major version number of class files for Java 10: 54.
    See Also:
      - `MINOR_10`
      - Constant Field Values

  - ### MINOR_10

    public static final short MINOR_10
    Minor version number of class files for Java 10: 0.
    See Also:
      - `MAJOR_10`
      - Constant Field Values

  - ### MAJOR_11

    public static final short MAJOR_11
    Major version number of class files for Java 11: 55.
    See Also:
      - `MINOR_11`
      - Constant Field Values

  - ### MINOR_11

    public static final short MINOR_11
    Minor version number of class files for Java 11: 0.
    See Also:
      - `MAJOR_11`
      - Constant Field Values

  - ### MAJOR_12

    public static final short MAJOR_12
    Major version number of class files for Java 12: 56.
    See Also:
      - `MINOR_12`
      - Constant Field Values

  - ### MINOR_12

    public static final short MINOR_12
    Minor version number of class files for Java 12: 0.
    See Also:
      - `MAJOR_12`
      - Constant Field Values

  - ### MAJOR_13

    public static final short MAJOR_13
    Major version number of class files for Java 13: 57.
    See Also:
      - `MINOR_13`
      - Constant Field Values

  - ### MINOR_13

    public static final short MINOR_13
    Minor version number of class files for Java 13: 0.
    See Also:
      - `MAJOR_13`
      - Constant Field Values

  - ### MINOR_14

    public static final short MINOR_14
    Minor version number of class files for Java 14: 0.
    Since:
      6.4.0
    See Also:
      - `MAJOR_14`
      - Constant Field Values

  - ### MINOR_15

    public static final short MINOR_15
    Minor version number of class files for Java 15: 0.
    Since:
      6.6.0
    See Also:
      - `MAJOR_15`
      - Constant Field Values

  - ### MINOR_16

    public static final short MINOR_16
    Minor version number of class files for Java 16: 0.
    Since:
      6.6.0
    See Also:
      - `MAJOR_16`
      - Constant Field Values

  - ### MINOR_17

    public static final short MINOR_17
    Minor version number of class files for Java 17: 0.
    Since:
      6.6.0
    See Also:
      - `MAJOR_17`
      - Constant Field Values

  - ### MINOR_18

    public static final short MINOR_18
    Minor version number of class files for Java 18: 0.
    Since:
      6.6.0
    See Also:
      - `MAJOR_18`
      - Constant Field Values

  - ### MINOR_19

    public static final short MINOR_19
    Minor version number of class files for Java 19: 0.
    Since:
      6.6.0
    See Also:
      - `MAJOR_19`
      - Constant Field Values

  - ### MINOR_20

    public static final short MINOR_20
    Minor version number of class files for Java 20: 0.
    Since:
      6.8.0
    See Also:
      - `MAJOR_20`
      - Constant Field Values

  - ### MINOR_21

    public static final short MINOR_21
    Minor version number of class files for Java 21: 0.
    Since:
      6.8.0
    See Also:
      - `MAJOR_21`
      - Constant Field Values

  - ### MINOR_22

    public static final short MINOR_22
    Minor version number of class files for Java 22: 0.
    Since:
      6.10.0
    See Also:
      - `MAJOR_22`
      - Constant Field Values

  - ### MINOR_23

    public static final short MINOR_23
    Minor version number of class files for Java 23: 0.
    Since:
      6.10.0
    See Also:
      - `MAJOR_23`
      - Constant Field Values

  - ### MINOR_24

    public static final short MINOR_24
    Minor version number of class files for Java 24: 0.
    Since:
      6.10.0
    See Also:
      - `MAJOR_24`
      - Constant Field Values

  - ### MINOR_25

    public static final short MINOR_25
    Minor version number of class files for Java 25: 0.
    Since:
      6.11.0
    See Also:
      - `MAJOR_25`
      - Constant Field Values

  - ### MAJOR_14

    public static final short MAJOR_14
    Major version number of class files for Java 14: 58.
    Since:
      6.4.0
    See Also:
      - `MINOR_14`
      - Constant Field Values

  - ### MAJOR_15

    public static final short MAJOR_15
    Major version number of class files for Java 15: 59.
    Since:
      6.6.0
    See Also:
      - `MINOR_15`
      - Constant Field Values

  - ### MAJOR_16

    public static final short MAJOR_16
    Major version number of class files for Java 16: 60.
    Since:
      6.6.0
    See Also:
      - `MINOR_16`
      - Constant Field Values

  - ### MAJOR_17

    public static final short MAJOR_17
    Major version number of class files for Java 17: 61.
    Since:
      6.6.0
    See Also:
      - `MINOR_17`
      - Constant Field Values

  - ### MAJOR_18

    public static final short MAJOR_18
    Major version number of class files for Java 18: 62.
    Since:
      6.6.0
    See Also:
      - `MINOR_18`
      - Constant Field Values

  - ### MAJOR_19

    public static final short MAJOR_19
    Major version number of class files for Java 19: 63.
    Since:
      6.6.0
    See Also:
      - `MINOR_19`
      - Constant Field Values

  - ### MAJOR_20

    public static final short MAJOR_20
    Major version number of class files for Java 20: 64.
    Since:
      6.8.0
    See Also:
      - `MINOR_20`
      - Constant Field Values

  - ### MAJOR_21

    public static final short MAJOR_21
    Major version number of class files for Java 21: 65.
    Since:
      6.8.0
    See Also:
      - `MINOR_21`
      - Constant Field Values

  - ### MAJOR_22

    public static final short MAJOR_22
    Major version number of class files for Java 22: 66.
    Since:
      6.10.0
    See Also:
      - `MINOR_22`
      - Constant Field Values

  - ### MAJOR_23

    public static final short MAJOR_23
    Major version number of class files for Java 23: 67.
    Since:
      6.10.0
    See Also:
      - `MINOR_23`
      - Constant Field Values

  - ### MAJOR_24

    public static final short MAJOR_24
    Major version number of class files for Java 24: 68.
    Since:
      6.10.0
    See Also:
      - `MINOR_24`
      - Constant Field Values

  - ### MAJOR_25

    public static final short MAJOR_25
    Major version number of class files for Java 25: 69.
    Since:
      6.11.0
    See Also:
      - `MINOR_25`
      - Constant Field Values

  - ### MAJOR

    public static final short MAJOR
    Default major version number. Class file is for Java 1.1: 45.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MINOR

    public static final short MINOR
    Default major version number. Class file is for Java 1.1: 3.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MAX_SHORT

    public static final int MAX_SHORT
    Maximum value for an unsigned short: 65535.
    See Also:
      - Constant Field Values

  - ### MAX_BYTE

    public static final int MAX_BYTE
    Maximum value for an unsigned byte: 255.
    See Also:
      - Constant Field Values

  - ### ACC_PUBLIC

    public static final short ACC_PUBLIC
    One of the access flags for fields, methods, or classes: 1.
    See Also:
      - Flag definitions for Classes in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Fields in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Methods in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Inner Classes in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Constant Field Values

  - ### ACC_PRIVATE

    public static final short ACC_PRIVATE
    One of the access flags for fields, methods, or classes: 2.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_PROTECTED

    public static final short ACC_PROTECTED
    One of the access flags for fields, methods, or classes: 4.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_STATIC

    public static final short ACC_STATIC
    One of the access flags for fields, methods, or classes: 8.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_FINAL

    public static final short ACC_FINAL
    One of the access flags for fields, methods, or classes: 16.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_OPEN

    public static final short ACC_OPEN
    One of the access flags for the Module attribute: 32.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SUPER

    public static final short ACC_SUPER
    One of the access flags for classes: 32.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SYNCHRONIZED

    public static final short ACC_SYNCHRONIZED
    One of the access flags for methods: 32.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_TRANSITIVE

    public static final short ACC_TRANSITIVE
    One of the access flags for the Module attribute: 32.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_BRIDGE

    public static final short ACC_BRIDGE
    One of the access flags for methods: 64.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_STATIC_PHASE

    public static final short ACC_STATIC_PHASE
    One of the access flags for the Module attribute: 64.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_VOLATILE

    public static final short ACC_VOLATILE
    One of the access flags for fields: 64.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_TRANSIENT

    public static final short ACC_TRANSIENT
    One of the access flags for fields: 128.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_VARARGS

    public static final short ACC_VARARGS
    One of the access flags for methods: 128.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_NATIVE

    public static final short ACC_NATIVE
    One of the access flags for methods: 256.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_INTERFACE

    public static final short ACC_INTERFACE
    One of the access flags for classes: 512.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ABSTRACT

    public static final short ACC_ABSTRACT
    One of the access flags for methods or classes: 1024.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_STRICT

    public static final short ACC_STRICT
    One of the access flags for methods: 2048.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SYNTHETIC

    public static final short ACC_SYNTHETIC
    One of the access flags for fields, methods, classes, MethodParameter attribute, or Module attribute: 4096.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ANNOTATION

    public static final short ACC_ANNOTATION
    One of the access flags for classes: 8192.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ENUM

    public static final short ACC_ENUM
    One of the access flags for fields or classes: 16384.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_MANDATED

    public static final short ACC_MANDATED
    One of the access flags for MethodParameter or Module attributes: -32768.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_MODULE

    public static final short ACC_MODULE
    One of the access flags for classes: -32768.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### MAX_ACC_FLAG

    @Deprecated public static final short MAX_ACC_FLAG
    Deprecated.
    Use `MAX_ACC_FLAG_I`
    One of the access flags for fields, methods, or classes: 16384.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### MAX_ACC_FLAG_I

    public static final int MAX_ACC_FLAG_I
    One of the access flags for fields, methods, or classes. ACC_MODULE is negative as a short: 32768.
    Since:
      6.4.0
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACCESS_NAMES_LENGTH

    public static final int ACCESS_NAMES_LENGTH
    Since:
      6.0

  - ### CONSTANT_Utf8

    public static final byte CONSTANT_Utf8
    Marks a constant pool entry as type UTF-8: 0x1.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Integer

    public static final byte CONSTANT_Integer
    Marks a constant pool entry as type Integer: 0x3.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Float

    public static final byte CONSTANT_Float
    Marks a constant pool entry as type Float: 0x4.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Long

    public static final byte CONSTANT_Long
    Marks a constant pool entry as type Long: 0x5.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Double

    public static final byte CONSTANT_Double
    Marks a constant pool entry as type Double: 0x6.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Class

    public static final byte CONSTANT_Class
    Marks a constant pool entry as a Class: 0x7.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Fieldref

    public static final byte CONSTANT_Fieldref
    Marks a constant pool entry as a Field Reference: 0x9.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_String

    public static final byte CONSTANT_String
    Marks a constant pool entry as type String: 0x8.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Methodref

    public static final byte CONSTANT_Methodref
    Marks a constant pool entry as a Method Reference: 0xa.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_InterfaceMethodref

    public static final byte CONSTANT_InterfaceMethodref
    Marks a constant pool entry as an Interface Method Reference: 0xb.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_NameAndType

    public static final byte CONSTANT_NameAndType
    Marks a constant pool entry as a name and type: 0xc.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_MethodHandle

    public static final byte CONSTANT_MethodHandle
    Marks a constant pool entry as a Method Handle: 0xf.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_MethodType

    public static final byte CONSTANT_MethodType
    Marks a constant pool entry as a Method Type: 0x10.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Dynamic

    public static final byte CONSTANT_Dynamic
    Marks a constant pool entry as dynamically computed: 0x11.
    Since:
      6.3
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_InvokeDynamic

    public static final byte CONSTANT_InvokeDynamic
    Marks a constant pool entry as an Invoke Dynamic: 0x12.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Module

    public static final byte CONSTANT_Module
    Marks a constant pool entry as a Module Reference: 0x13.
    Since:
      6.1
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Package

    public static final byte CONSTANT_Package
    Marks a constant pool entry as a Package Reference: 0x14.
    Since:
      6.1
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### STATIC_INITIALIZER_NAME

    public static final String STATIC_INITIALIZER_NAME
    The name of the static initializer, also called "class initialization method" or "interface initialization method". This is "<clinit>".
    See Also:
      - Constant Field Values

  - ### CONSTRUCTOR_NAME

    public static final String CONSTRUCTOR_NAME
    The name of every constructor method in a class, also called "instance initialization method". This is "<init>".
    See Also:
      - Constant Field Values

  - ### MAX_CP_ENTRIES

    public static final int MAX_CP_ENTRIES
    Maximum Constant Pool entries: 65535. One of the limitations of the Java Virtual Machine.
    See Also:
      - The Java Virtual Machine Specification, Java SE 8 Edition, page 330, chapter 4.11.
      - Constant Field Values

  - ### MAX_CODE_SIZE

    public static final int MAX_CODE_SIZE
    Maximum code size (plus one; the code size must be LESS than this): 65536.

    One of the limitations of the Java Virtual Machine. Note vmspec2 page 152 ("Limitations") says:

        "The amount of code per non-native, non-abstract method is limited to 65536 bytes by the sizes of the indices in the exception_table of the Code
        attribute (§4.7.3), in the LineNumberTable attribute (§4.7.8), and in the LocalVariableTable attribute (§4.7.9)." However this should be taken as an
        upper limit rather than the defined maximum. On page 134 (4.8.1 Static Constants) of the same spec, it says: "The value of the code_length item must be
        less than 65536."

    The entry in the Limitations section has been removed from later versions of the specification; it is not present in the Java SE 8 edition.

    See Also:
      - The Java Virtual Machine Specification, Java SE 8 Edition, page 104, chapter 4.7.
      - Constant Field Values

  - ### MAX_ARRAY_DIMENSIONS

    public static final int MAX_ARRAY_DIMENSIONS
    The maximum number of dimensions in an array: 255. One of the limitations of the Java Virtual Machine.
    See Also:
      - Field Descriptors in The Java Virtual Machine Specification
      - Constant Field Values

  - ### NOP

    public static final short NOP
    Java VM opcode 0.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ACONST_NULL

    public static final short ACONST_NULL
    Java VM opcode 1.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_M1

    public static final short ICONST_M1
    Java VM opcode 2.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_0

    public static final short ICONST_0
    Java VM opcode 3.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_1

    public static final short ICONST_1
    Java VM opcode 4.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_2

    public static final short ICONST_2
    Java VM opcode 5.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_3

    public static final short ICONST_3
    Java VM opcode 6.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_4

    public static final short ICONST_4
    Java VM opcode 7.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_5

    public static final short ICONST_5
    Java VM opcode 8.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCONST_0

    public static final short LCONST_0
    Java VM opcode 9.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCONST_1

    public static final short LCONST_1
    Java VM opcode 10.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_0

    public static final short FCONST_0
    Java VM opcode 11.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_1

    public static final short FCONST_1
    Java VM opcode 12.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_2

    public static final short FCONST_2
    Java VM opcode 13.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCONST_0

    public static final short DCONST_0
    Java VM opcode 14.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCONST_1

    public static final short DCONST_1
    Java VM opcode 15.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BIPUSH

    public static final short BIPUSH
    Java VM opcode 16.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SIPUSH

    public static final short SIPUSH
    Java VM opcode 17.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC

    public static final short LDC
    Java VM opcode 18.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC_W

    public static final short LDC_W
    Java VM opcode 19.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC2_W

    public static final short LDC2_W
    Java VM opcode 20.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD

    public static final short ILOAD
    Java VM opcode 21.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD

    public static final short LLOAD
    Java VM opcode 22.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD

    public static final short FLOAD
    Java VM opcode 23.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD

    public static final short DLOAD
    Java VM opcode 24.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD

    public static final short ALOAD
    Java VM opcode 25.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_0

    public static final short ILOAD_0
    Java VM opcode 26.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_1

    public static final short ILOAD_1
    Java VM opcode 27.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_2

    public static final short ILOAD_2
    Java VM opcode 28.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_3

    public static final short ILOAD_3
    Java VM opcode 29.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_0

    public static final short LLOAD_0
    Java VM opcode 30.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_1

    public static final short LLOAD_1
    Java VM opcode 31.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_2

    public static final short LLOAD_2
    Java VM opcode 32.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_3

    public static final short LLOAD_3
    Java VM opcode 33.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_0

    public static final short FLOAD_0
    Java VM opcode 34.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_1

    public static final short FLOAD_1
    Java VM opcode 35.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_2

    public static final short FLOAD_2
    Java VM opcode 36.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_3

    public static final short FLOAD_3
    Java VM opcode 37.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_0

    public static final short DLOAD_0
    Java VM opcode 38.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_1

    public static final short DLOAD_1
    Java VM opcode 39.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_2

    public static final short DLOAD_2
    Java VM opcode 40.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_3

    public static final short DLOAD_3
    Java VM opcode 41.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_0

    public static final short ALOAD_0
    Java VM opcode 42.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_1

    public static final short ALOAD_1
    Java VM opcode 43.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_2

    public static final short ALOAD_2
    Java VM opcode 44.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_3

    public static final short ALOAD_3
    Java VM opcode 45.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IALOAD

    public static final short IALOAD
    Java VM opcode 46.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LALOAD

    public static final short LALOAD
    Java VM opcode 47.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FALOAD

    public static final short FALOAD
    Java VM opcode 48.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DALOAD

    public static final short DALOAD
    Java VM opcode 49.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### AALOAD

    public static final short AALOAD
    Java VM opcode 50.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BALOAD

    public static final short BALOAD
    Java VM opcode 51.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CALOAD

    public static final short CALOAD
    Java VM opcode 52.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SALOAD

    public static final short SALOAD
    Java VM opcode 53.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE

    public static final short ISTORE
    Java VM opcode 54.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE

    public static final short LSTORE
    Java VM opcode 55.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE

    public static final short FSTORE
    Java VM opcode 56.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE

    public static final short DSTORE
    Java VM opcode 57.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE

    public static final short ASTORE
    Java VM opcode 58.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_0

    public static final short ISTORE_0
    Java VM opcode 59.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_1

    public static final short ISTORE_1
    Java VM opcode 60.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_2

    public static final short ISTORE_2
    Java VM opcode 61.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_3

    public static final short ISTORE_3
    Java VM opcode 62.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_0

    public static final short LSTORE_0
    Java VM opcode 63.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_1

    public static final short LSTORE_1
    Java VM opcode 64.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_2

    public static final short LSTORE_2
    Java VM opcode 65.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_3

    public static final short LSTORE_3
    Java VM opcode 66.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_0

    public static final short FSTORE_0
    Java VM opcode 67.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_1

    public static final short FSTORE_1
    Java VM opcode 68.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_2

    public static final short FSTORE_2
    Java VM opcode 69.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_3

    public static final short FSTORE_3
    Java VM opcode 70.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_0

    public static final short DSTORE_0
    Java VM opcode 71.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_1

    public static final short DSTORE_1
    Java VM opcode 72.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_2

    public static final short DSTORE_2
    Java VM opcode 73.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_3

    public static final short DSTORE_3
    Java VM opcode 74.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_0

    public static final short ASTORE_0
    Java VM opcode 75.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_1

    public static final short ASTORE_1
    Java VM opcode 76.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_2

    public static final short ASTORE_2
    Java VM opcode 77.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_3

    public static final short ASTORE_3
    Java VM opcode 78.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IASTORE

    public static final short IASTORE
    Java VM opcode 79.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LASTORE

    public static final short LASTORE
    Java VM opcode 80.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FASTORE

    public static final short FASTORE
    Java VM opcode 81.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DASTORE

    public static final short DASTORE
    Java VM opcode 82.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### AASTORE

    public static final short AASTORE
    Java VM opcode 83.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BASTORE

    public static final short BASTORE
    Java VM opcode 84.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CASTORE

    public static final short CASTORE
    Java VM opcode 85.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SASTORE

    public static final short SASTORE
    Java VM opcode 86.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### POP

    public static final short POP
    Java VM opcode 87.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### POP2

    public static final short POP2
    Java VM opcode 88.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP

    public static final short DUP
    Java VM opcode 89.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP_X1

    public static final short DUP_X1
    Java VM opcode 90.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP_X2

    public static final short DUP_X2
    Java VM opcode 91.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2

    public static final short DUP2
    Java VM opcode 92.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2_X1

    public static final short DUP2_X1
    Java VM opcode 93.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2_X2

    public static final short DUP2_X2
    Java VM opcode 94.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SWAP

    public static final short SWAP
    Java VM opcode 95.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IADD

    public static final short IADD
    Java VM opcode 96.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LADD

    public static final short LADD
    Java VM opcode 97.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FADD

    public static final short FADD
    Java VM opcode 98.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DADD

    public static final short DADD
    Java VM opcode 99.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISUB

    public static final short ISUB
    Java VM opcode 100.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSUB

    public static final short LSUB
    Java VM opcode 101.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSUB

    public static final short FSUB
    Java VM opcode 102.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSUB

    public static final short DSUB
    Java VM opcode 103.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IMUL

    public static final short IMUL
    Java VM opcode 104.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LMUL

    public static final short LMUL
    Java VM opcode 105.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FMUL

    public static final short FMUL
    Java VM opcode 106.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DMUL

    public static final short DMUL
    Java VM opcode 107.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IDIV

    public static final short IDIV
    Java VM opcode 108.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDIV

    public static final short LDIV
    Java VM opcode 109.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FDIV

    public static final short FDIV
    Java VM opcode 110.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DDIV

    public static final short DDIV
    Java VM opcode 111.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IREM

    public static final short IREM
    Java VM opcode 112.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LREM

    public static final short LREM
    Java VM opcode 113.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FREM

    public static final short FREM
    Java VM opcode 114.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DREM

    public static final short DREM
    Java VM opcode 115.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INEG

    public static final short INEG
    Java VM opcode 116.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LNEG

    public static final short LNEG
    Java VM opcode 117.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FNEG

    public static final short FNEG
    Java VM opcode 118.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DNEG

    public static final short DNEG
    Java VM opcode 119.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISHL

    public static final short ISHL
    Java VM opcode 120.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSHL

    public static final short LSHL
    Java VM opcode 121.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISHR

    public static final short ISHR
    Java VM opcode 122.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSHR

    public static final short LSHR
    Java VM opcode 123.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IUSHR

    public static final short IUSHR
    Java VM opcode 124.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LUSHR

    public static final short LUSHR
    Java VM opcode 125.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IAND

    public static final short IAND
    Java VM opcode 126.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LAND

    public static final short LAND
    Java VM opcode 127.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IOR

    public static final short IOR
    Java VM opcode 128.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LOR

    public static final short LOR
    Java VM opcode 129.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IXOR

    public static final short IXOR
    Java VM opcode 130.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LXOR

    public static final short LXOR
    Java VM opcode 131.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IINC

    public static final short IINC
    Java VM opcode 132.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2L

    public static final short I2L
    Java VM opcode 133.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2F

    public static final short I2F
    Java VM opcode 134.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2D

    public static final short I2D
    Java VM opcode 135.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2I

    public static final short L2I
    Java VM opcode 136.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2F

    public static final short L2F
    Java VM opcode 137.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2D

    public static final short L2D
    Java VM opcode 138.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2I

    public static final short F2I
    Java VM opcode 139.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2L

    public static final short F2L
    Java VM opcode 140.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2D

    public static final short F2D
    Java VM opcode 141.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2I

    public static final short D2I
    Java VM opcode 142.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2L

    public static final short D2L
    Java VM opcode 143.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2F

    public static final short D2F
    Java VM opcode 144.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2B

    public static final short I2B
    Java VM opcode 145.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2BYTE

    public static final short INT2BYTE
    Java VM opcode 145.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2C

    public static final short I2C
    Java VM opcode 146.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2CHAR

    public static final short INT2CHAR
    Java VM opcode 146.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2S

    public static final short I2S
    Java VM opcode 147.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2SHORT

    public static final short INT2SHORT
    Java VM opcode 147.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCMP

    public static final short LCMP
    Java VM opcode 148.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCMPL

    public static final short FCMPL
    Java VM opcode 149.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCMPG

    public static final short FCMPG
    Java VM opcode 150.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCMPL

    public static final short DCMPL
    Java VM opcode 151.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCMPG

    public static final short DCMPG
    Java VM opcode 152.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFEQ

    public static final short IFEQ
    Java VM opcode 153.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNE

    public static final short IFNE
    Java VM opcode 154.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFLT

    public static final short IFLT
    Java VM opcode 155.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFGE

    public static final short IFGE
    Java VM opcode 156.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFGT

    public static final short IFGT
    Java VM opcode 157.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFLE

    public static final short IFLE
    Java VM opcode 158.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPEQ

    public static final short IF_ICMPEQ
    Java VM opcode 159.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPNE

    public static final short IF_ICMPNE
    Java VM opcode 160.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPLT

    public static final short IF_ICMPLT
    Java VM opcode 161.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPGE

    public static final short IF_ICMPGE
    Java VM opcode 162.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPGT

    public static final short IF_ICMPGT
    Java VM opcode 163.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPLE

    public static final short IF_ICMPLE
    Java VM opcode 164.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ACMPEQ

    public static final short IF_ACMPEQ
    Java VM opcode 165.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ACMPNE

    public static final short IF_ACMPNE
    Java VM opcode 166.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GOTO

    public static final short GOTO
    Java VM opcode 167.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### JSR

    public static final short JSR
    Java VM opcode 168.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### RET

    public static final short RET
    Java VM opcode 169.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### TABLESWITCH

    public static final short TABLESWITCH
    Java VM opcode 170.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LOOKUPSWITCH

    public static final short LOOKUPSWITCH
    Java VM opcode 171.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IRETURN

    public static final short IRETURN
    Java VM opcode 172.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LRETURN

    public static final short LRETURN
    Java VM opcode 173.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FRETURN

    public static final short FRETURN
    Java VM opcode 174.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DRETURN

    public static final short DRETURN
    Java VM opcode 175.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ARETURN

    public static final short ARETURN
    Java VM opcode 176.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### RETURN

    public static final short RETURN
    Java VM opcode 177.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GETSTATIC

    public static final short GETSTATIC
    Java VM opcode 178.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### PUTSTATIC

    public static final short PUTSTATIC
    Java VM opcode 179.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GETFIELD

    public static final short GETFIELD
    Java VM opcode 180.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### PUTFIELD

    public static final short PUTFIELD
    Java VM opcode 181.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEVIRTUAL

    public static final short INVOKEVIRTUAL
    Java VM opcode 182.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKESPECIAL

    public static final short INVOKESPECIAL
    Java VM opcode 183.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKENONVIRTUAL

    public static final short INVOKENONVIRTUAL
    Java VM opcode 183.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKESTATIC

    public static final short INVOKESTATIC
    Java VM opcode 184.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEINTERFACE

    public static final short INVOKEINTERFACE
    Java VM opcode 185.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEDYNAMIC

    public static final short INVOKEDYNAMIC
    Java VM opcode 186.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### NEW

    public static final short NEW
    Java VM opcode 187.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### NEWARRAY

    public static final short NEWARRAY
    Java VM opcode 188.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ANEWARRAY

    public static final short ANEWARRAY
    Java VM opcode 189.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ARRAYLENGTH

    public static final short ARRAYLENGTH
    Java VM opcode 190.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ATHROW

    public static final short ATHROW
    Java VM opcode 191.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CHECKCAST

    public static final short CHECKCAST
    Java VM opcode 192.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INSTANCEOF

    public static final short INSTANCEOF
    Java VM opcode 193.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MONITORENTER

    public static final short MONITORENTER
    Java VM opcode 194.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MONITOREXIT

    public static final short MONITOREXIT
    Java VM opcode 195.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### WIDE

    public static final short WIDE
    Java VM opcode 196.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MULTIANEWARRAY

    public static final short MULTIANEWARRAY
    Java VM opcode 197.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNULL

    public static final short IFNULL
    Java VM opcode 198.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNONNULL

    public static final short IFNONNULL
    Java VM opcode 199.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GOTO_W

    public static final short GOTO_W
    Java VM opcode 200.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### JSR_W

    public static final short JSR_W
    Java VM opcode 201.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BREAKPOINT

    public static final short BREAKPOINT
    JVM internal opcode 202.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC_QUICK

    public static final short LDC_QUICK
    JVM internal opcode 203.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### LDC_W_QUICK

    public static final short LDC_W_QUICK
    JVM internal opcode 204.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### LDC2_W_QUICK

    public static final short LDC2_W_QUICK
    JVM internal opcode 205.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD_QUICK

    public static final short GETFIELD_QUICK
    JVM internal opcode 206.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD_QUICK

    public static final short PUTFIELD_QUICK
    JVM internal opcode 207.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD2_QUICK

    public static final short GETFIELD2_QUICK
    JVM internal opcode 208.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD2_QUICK

    public static final short PUTFIELD2_QUICK
    JVM internal opcode 209.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETSTATIC_QUICK

    public static final short GETSTATIC_QUICK
    JVM internal opcode 210.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTSTATIC_QUICK

    public static final short PUTSTATIC_QUICK
    JVM internal opcode 211.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETSTATIC2_QUICK

    public static final short GETSTATIC2_QUICK
    JVM internal opcode 212.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTSTATIC2_QUICK

    public static final short PUTSTATIC2_QUICK
    JVM internal opcode 213.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUAL_QUICK

    public static final short INVOKEVIRTUAL_QUICK
    JVM internal opcode 214.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKENONVIRTUAL_QUICK

    public static final short INVOKENONVIRTUAL_QUICK
    JVM internal opcode 215.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKESUPER_QUICK

    public static final short INVOKESUPER_QUICK
    JVM internal opcode 216.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKESTATIC_QUICK

    public static final short INVOKESTATIC_QUICK
    JVM internal opcode 217.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEINTERFACE_QUICK

    public static final short INVOKEINTERFACE_QUICK
    JVM internal opcode 218.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUALOBJECT_QUICK

    public static final short INVOKEVIRTUALOBJECT_QUICK
    JVM internal opcode 219.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### NEW_QUICK

    public static final short NEW_QUICK
    JVM internal opcode 221.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### ANEWARRAY_QUICK

    public static final short ANEWARRAY_QUICK
    JVM internal opcode 222.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### MULTIANEWARRAY_QUICK

    public static final short MULTIANEWARRAY_QUICK
    JVM internal opcode 223.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### CHECKCAST_QUICK

    public static final short CHECKCAST_QUICK
    JVM internal opcode 224.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INSTANCEOF_QUICK

    public static final short INSTANCEOF_QUICK
    JVM internal opcode 225.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUAL_QUICK_W

    public static final short INVOKEVIRTUAL_QUICK_W
    JVM internal opcode 226.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD_QUICK_W

    public static final short GETFIELD_QUICK_W
    JVM internal opcode 227.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD_QUICK_W

    public static final short PUTFIELD_QUICK_W
    JVM internal opcode 228.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### IMPDEP1

    public static final short IMPDEP1
    JVM internal opcode 254.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### IMPDEP2

    public static final short IMPDEP2
    JVM internal opcode 255.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### PUSH

    public static final short PUSH
    BCEL virtual instruction for pushing an arbitrary data type onto the stack: 4711. Will be converted to the appropriate JVM opcode when the class is dumped.
    See Also:
      - Constant Field Values

  - ### SWITCH

    public static final short SWITCH
    BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH: 4712. Will be converted to the appropriate JVM opcode when the class is dumped.
    See Also:
      - Constant Field Values

  - ### UNDEFINED

    public static final short UNDEFINED
    Illegal opcode: -1.
    See Also:
      - Constant Field Values

  - ### UNPREDICTABLE

    public static final short UNPREDICTABLE
    Illegal opcode: -2.
    See Also:
      - Constant Field Values

  - ### RESERVED

    public static final short RESERVED
    Illegal opcode: -3.
    See Also:
      - Constant Field Values

  - ### ILLEGAL_OPCODE

    public static final String ILLEGAL_OPCODE
    Mnemonic for an illegal opcode: "<illegal opcode>".
    See Also:
      - Constant Field Values

  - ### ILLEGAL_TYPE

    public static final String ILLEGAL_TYPE
    Mnemonic for an illegal type: "<illegal type>".
    See Also:
      - Constant Field Values

  - ### T_BOOLEAN

    public static final byte T_BOOLEAN
    Boolean data type: 0x4.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_CHAR

    public static final byte T_CHAR
    Char data type: 0x5.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_FLOAT

    public static final byte T_FLOAT
    Float data type: 0x6.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_DOUBLE

    public static final byte T_DOUBLE
    Double data type: 0x7.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_BYTE

    public static final byte T_BYTE
    Byte data type: 0x8.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_SHORT

    public static final byte T_SHORT
    Short data type: 0x9.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_INT

    public static final byte T_INT
    Int data type: 0xa.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_LONG

    public static final byte T_LONG
    Long data type: 0xb.
    See Also:
      - Static Constraints in the Java Virtual Machine Specification
      - Constant Field Values

  - ### T_VOID

    public static final byte T_VOID
    Void data type (non-standard).
    See Also:
      - Constant Field Values

  - ### T_ARRAY

    public static final byte T_ARRAY
    Array data type.
    See Also:
      - Constant Field Values

  - ### T_OBJECT

    public static final byte T_OBJECT
    Object data type.
    See Also:
      - Constant Field Values

  - ### T_REFERENCE

    public static final byte T_REFERENCE
    Reference data type (deprecated).
    See Also:
      - Constant Field Values

  - ### T_UNKNOWN

    public static final byte T_UNKNOWN
    Unknown data type.
    See Also:
      - Constant Field Values

  - ### T_ADDRESS

    public static final byte T_ADDRESS
    Address data type.
    See Also:
      - Constant Field Values

  - ### SHORT_TYPE_NAMES

    public static final String[] SHORT_TYPE_NAMES
    The signature characters corresponding to primitive types, for example, SHORT_TYPE_NAMES[T_INT] = "I"

  - ### OPCODE_NAMES_LENGTH

    public static final int OPCODE_NAMES_LENGTH
    Since:
      6.0

  - ### ATTR_UNKNOWN

    public static final byte ATTR_UNKNOWN
    Attributes and their corresponding names.
    See Also:
      - Constant Field Values

  - ### ATTR_SOURCE_FILE

    public static final byte ATTR_SOURCE_FILE
    See Also:
      - Constant Field Values

  - ### ATTR_CONSTANT_VALUE

    public static final byte ATTR_CONSTANT_VALUE
    See Also:
      - Constant Field Values

  - ### ATTR_CODE

    public static final byte ATTR_CODE
    See Also:
      - Constant Field Values

  - ### ATTR_EXCEPTIONS

    public static final byte ATTR_EXCEPTIONS
    See Also:
      - Constant Field Values

  - ### ATTR_LINE_NUMBER_TABLE

    public static final byte ATTR_LINE_NUMBER_TABLE
    See Also:
      - Constant Field Values

  - ### ATTR_LOCAL_VARIABLE_TABLE

    public static final byte ATTR_LOCAL_VARIABLE_TABLE
    See Also:
      - Constant Field Values

  - ### ATTR_INNER_CLASSES

    public static final byte ATTR_INNER_CLASSES
    See Also:
      - Constant Field Values

  - ### ATTR_SYNTHETIC

    public static final byte ATTR_SYNTHETIC
    See Also:
      - Constant Field Values

  - ### ATTR_DEPRECATED

    public static final byte ATTR_DEPRECATED
    See Also:
      - Constant Field Values

  - ### ATTR_PMG

    public static final byte ATTR_PMG
    See Also:
      - Constant Field Values

  - ### ATTR_SIGNATURE

    public static final byte ATTR_SIGNATURE
    See Also:
      - Constant Field Values

  - ### ATTR_STACK_MAP

    public static final byte ATTR_STACK_MAP
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIME_VISIBLE_ANNOTATIONS

    public static final byte ATTR_RUNTIME_VISIBLE_ANNOTATIONS
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIME_INVISIBLE_ANNOTATIONS

    public static final byte ATTR_RUNTIME_INVISIBLE_ANNOTATIONS
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

    public static final byte ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

    public static final byte ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS
    See Also:
      - Constant Field Values

  - ### ATTR_ANNOTATION_DEFAULT

    public static final byte ATTR_ANNOTATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### ATTR_LOCAL_VARIABLE_TYPE_TABLE

    public static final byte ATTR_LOCAL_VARIABLE_TYPE_TABLE
    See Also:
      - Constant Field Values

  - ### ATTR_ENCLOSING_METHOD

    public static final byte ATTR_ENCLOSING_METHOD
    See Also:
      - Constant Field Values

  - ### ATTR_STACK_MAP_TABLE

    public static final byte ATTR_STACK_MAP_TABLE
    See Also:
      - Constant Field Values

  - ### ATTR_BOOTSTRAP_METHODS

    public static final byte ATTR_BOOTSTRAP_METHODS
    See Also:
      - Constant Field Values

  - ### ATTR_METHOD_PARAMETERS

    public static final byte ATTR_METHOD_PARAMETERS
    See Also:
      - Constant Field Values

  - ### ATTR_MODULE

    public static final byte ATTR_MODULE
    See Also:
      - Constant Field Values

  - ### ATTR_MODULE_PACKAGES

    public static final byte ATTR_MODULE_PACKAGES
    See Also:
      - Constant Field Values

  - ### ATTR_MODULE_MAIN_CLASS

    public static final byte ATTR_MODULE_MAIN_CLASS
    See Also:
      - Constant Field Values

  - ### ATTR_NEST_HOST

    public static final byte ATTR_NEST_HOST
    See Also:
      - Constant Field Values

  - ### ATTR_NEST_MEMBERS

    public static final byte ATTR_NEST_MEMBERS
    See Also:
      - Constant Field Values

  - ### ATTR_RECORD

    public static final byte ATTR_RECORD
    See Also:
      - Constant Field Values

  - ### KNOWN_ATTRIBUTES

    public static final short KNOWN_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### ITEM_Bogus

    public static final byte ITEM_Bogus
    Constants used in the StackMap attribute.
    See Also:
      - Constant Field Values

  - ### ITEM_Integer

    public static final byte ITEM_Integer
    See Also:
      - Constant Field Values

  - ### ITEM_Float

    public static final byte ITEM_Float
    See Also:
      - Constant Field Values

  - ### ITEM_Double

    public static final byte ITEM_Double
    See Also:
      - Constant Field Values

  - ### ITEM_Long

    public static final byte ITEM_Long
    See Also:
      - Constant Field Values

  - ### ITEM_Null

    public static final byte ITEM_Null
    See Also:
      - Constant Field Values

  - ### ITEM_InitObject

    public static final byte ITEM_InitObject
    See Also:
      - Constant Field Values

  - ### ITEM_Object

    public static final byte ITEM_Object
    See Also:
      - Constant Field Values

  - ### ITEM_NewObject

    public static final byte ITEM_NewObject
    See Also:
      - Constant Field Values

  - ### SAME_FRAME

    public static final int SAME_FRAME
    Constants used to identify StackMapEntry types. For those types which can specify a range, the constant names the lowest value.
    See Also:
      - Constant Field Values

  - ### SAME_LOCALS_1_STACK_ITEM_FRAME

    public static final int SAME_LOCALS_1_STACK_ITEM_FRAME
    See Also:
      - Constant Field Values

  - ### SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED

    public static final int SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED
    See Also:
      - Constant Field Values

  - ### CHOP_FRAME

    public static final int CHOP_FRAME
    See Also:
      - Constant Field Values

  - ### SAME_FRAME_EXTENDED

    public static final int SAME_FRAME_EXTENDED
    See Also:
      - Constant Field Values

  - ### APPEND_FRAME

    public static final int APPEND_FRAME
    See Also:
      - Constant Field Values

  - ### FULL_FRAME

    public static final int FULL_FRAME
    See Also:
      - Constant Field Values

  - ### SAME_FRAME_MAX

    public static final int SAME_FRAME_MAX
    Constants that define the maximum value of those constants which store ranges.
    See Also:
      - Constant Field Values

  - ### SAME_LOCALS_1_STACK_ITEM_FRAME_MAX

    public static final int SAME_LOCALS_1_STACK_ITEM_FRAME_MAX
    See Also:
      - Constant Field Values

  - ### CHOP_FRAME_MAX

    public static final int CHOP_FRAME_MAX
    See Also:
      - Constant Field Values

  - ### APPEND_FRAME_MAX

    public static final int APPEND_FRAME_MAX
    See Also:
      - Constant Field Values

  - ### REF_getField

    public static final byte REF_getField
    See Also:
      - Constant Field Values

  - ### REF_getStatic

    public static final byte REF_getStatic
    See Also:
      - Constant Field Values

  - ### REF_putField

    public static final byte REF_putField
    See Also:
      - Constant Field Values

  - ### REF_putStatic

    public static final byte REF_putStatic
    See Also:
      - Constant Field Values

  - ### REF_invokeVirtual

    public static final byte REF_invokeVirtual
    See Also:
      - Constant Field Values

  - ### REF_invokeStatic

    public static final byte REF_invokeStatic
    See Also:
      - Constant Field Values

  - ### REF_invokeSpecial

    public static final byte REF_invokeSpecial
    See Also:
      - Constant Field Values

  - ### REF_newInvokeSpecial

    public static final byte REF_newInvokeSpecial
    See Also:
      - Constant Field Values

  - ### REF_invokeInterface

    public static final byte REF_invokeInterface
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAccessName

    public static String getAccessName(int index)
    Parameters:
      `index` - index into `ACCESS_NAMES`.
    Returns:
      the ACCESS_NAMES entry at the given index
    Since:
      6.0

  - ### getAttributeName

    public static String getAttributeName(int index)
    Parameters:
      `index` - index into `ACCESS_NAMES`.
    Returns:
      the attribute name
    Since:
      6.0

  - ### getClassTypeName

    public static String getClassTypeName(int index)
    The primitive class names corresponding to the T_XX constants, for example, CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
    Parameters:
      `index` - index into `CLASS_TYPE_NAMES`.
    Returns:
      the class name
    Since:
      6.0

  - ### getConstantName

    public static String getConstantName(int index)
    Parameters:
      `index` - index into `CONSTANT_NAMES`.
    Returns:
      the CONSTANT_NAMES entry at the given index
    Since:
      6.0

  - ### getConsumeStack

    public static int getConsumeStack(int index)
    Parameters:
      `index` - index into `CONSUME_STACK`.
    Returns:
      Number of words consumed on operand stack
    Since:
      6.0

  - ### getInterfacesImplementedByArrays

    public static Iterable<String> getInterfacesImplementedByArrays()
    Since:
      6.0

  - ### getItemName

    public static String getItemName(int index)
    Parameters:
      `index` - index into `ITEM_NAMES`.
    Returns:
      the item name
    Since:
      6.0

  - ### getMethodHandleName

    public static String getMethodHandleName(int index)
    Parameters:
      `index` - index into `METHODHANDLE_NAMES`.
    Returns:
      the method handle name
    Since:
      6.0

  - ### getNoOfOperands

    public static short getNoOfOperands(int index)
    Parameters:
      `index` - index into `NO_OF_OPERANDS`.
    Returns:
      Number of byte code operands
    Since:
      6.0

  - ### getOpcodeName

    public static String getOpcodeName(int index)
    Since:
      6.0

  - ### getOperandType

    public static short getOperandType(int opcode, int index)
    Since:
      6.0

  - ### getOperandTypeCount

    public static long getOperandTypeCount(int opcode)
    Since:
      6.0

  - ### getProduceStack

    public static int getProduceStack(int index)
    Parameters:
      `index` -
    Returns:
      Number of words produced onto operand stack
    Since:
      6.0

  - ### getShortTypeName

    public static String getShortTypeName(int index)
    Parameters:
      `index` -
    Returns:
      the short type name
    Since:
      6.0

  - ### getTypeName

    public static String getTypeName(int index)
    The primitive type names corresponding to the T_XX constants, for example, TYPE_NAMES[T_INT] = "int"
    Parameters:
      `index` -
    Returns:
      the type name
    Since:
      6.0